Commits

Anonymous committed 5d7d690

added runall.sh to run script with different CC and CFLAGS

On my Ubuntu machine:
% ./runall.sh
(...)
make: *** [run] Segmentation fault
% cat exitcode.log # segfault only when compiled with icc -O3
gcc -O0: 0
gcc -O1: 0
gcc -O3: 0
icc -O0: 0
icc -O1: 0
icc -O3: 2
% lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 10.04.2 LTS
Release: 10.04
Codename: lucid
% uname -m
i686
% icc --version
icc (ICC) 12.0.0 20101006
(...)
% gcc --version
gcc (Ubuntu 4.4.3-4ubuntu5) 4.4.3
(...)

Comments (0)

Files changed (1)

+#!/usr/bin/env sh
+
+exitcode=exitcode.log
+rm "$exitcode"
+
+run(){
+    make clean && CC=$1 CFLAGS=$2 make
+    echo "$1 $2: $?" >> "$exitcode"
+}
+
+run gcc -O0
+run gcc -O1
+run gcc -O3
+run icc -O0
+run icc -O1
+run icc -O3